Package org.eclipse.mat.inspections.osgi

## Class BundleRegistryQuery.Factory

- java.lang.Object
- - org.eclipse.mat.inspections.osgi.BundleRegistryQuery.Factory

Enclosing class:
  BundleRegistryQuery

    public static class BundleRegistryQuery.Factory
    extends java.lang.Object

### Constructor Summary

Constructors
`Factory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static BundleRegistryQuery.BundleTreeResult` `create​(OSGiModel model)`
`static BundleRegistryQuery.BundleTreeResult` `extensionPointsOnTop​(OSGiModel model)`
`static BundleRegistryQuery.BundleTreeResult` `servicesOnTop​(OSGiModel model)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Factory

    public Factory()

### Method Detail

#### create

    public static BundleRegistryQuery.BundleTreeResult create​(OSGiModel model)

#### servicesOnTop

    public static BundleRegistryQuery.BundleTreeResult servicesOnTop​(OSGiModel model)

#### extensionPointsOnTop

    public static BundleRegistryQuery.BundleTreeResult extensionPointsOnTop​(OSGiModel model)